%define major		4
%define libname		%mklibname czmq %{major}
%define develname	%mklibname czmq -d

Name:           czmq
Version:        4.2.1
Release:        %mkrel 1
Summary:        High-level C binding for 0MQ (ZeroMQ)
Group:          Development/Other
License:        MPLv2.0
URL:            http://czmq.zeromq.org/
Source0:        https://github.com/zeromq/czmq/releases/download/v%{version}/czmq-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  libuuid-devel
BuildRequires:  zeromq-devel
BuildRequires:  lz4-devel
BuildRequires:  lib64microhttpd-devel
BuildRequires:  lib64curl-devel

BuildRequires:  perl
BuildRequires:  asciidoc

%description
CZMQ has the following goals:
  i) To wrap the ØMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ØMQ.
iii) To provide a space for development of more sophisticated API semantics.

%package -n	%{libname}
Summary:        High-level C binding for 0MQ (ZeroMQ)
Group:		System/Libraries

%description -n %{libname}
CZMQ has the following goals:
  i) To wrap the ØMQ core API in semantics that are natural and lead to
     shorter, more readable applications.
 ii) To hide the differences between versions of ØMQ.
iii) To provide a space for development of more sophisticated API semantics.

%package -n %{develname}
Summary:        Development files for the czmq package
Requires:       %{libname} = %{version}-%{release}
Group:		Development/Libraries
Provides:       %{name}-devel
Provides:       lib%{name}-devel

%description -n %{develname}
This package contains files needed to develop applications using czmq.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
    --disable-static \
    --without-docs
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete


%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/zproject/
%{_libdir}/pkgconfig/libczmq.pc


%changelog
* Sun Jul 18 2021 tex - 4.2.1-1pclos2021
- new version

* Sun Apr 25 2021 tex - 4.2.0-1pclos2021
- new version
